## org.codehaus.groovy.grails.commons
Interface ClassPropertyFetcher.PropertyFetcher

All Known Implementing Classes:
  ClassPropertyFetcher.FieldReaderFetcher, ClassPropertyFetcher.GetterPropertyFetcher

Enclosing class:
  ClassPropertyFetcher

    static interface ClassPropertyFetcher.PropertyFetcher

Method Summary
`Object` `get(ClassPropertyFetcher.ReferenceInstanceCallback callback)`
`Class` `getPropertyType(String name)`

Method Detail

### get

    Object get(ClassPropertyFetcher.ReferenceInstanceCallback callback)
               throws IllegalArgumentException,
                      IllegalAccessException,
                      InvocationTargetException

  Throws:
    `IllegalArgumentException`
    `IllegalAccessException`
    `InvocationTargetException`

### getPropertyType

    Class getPropertyType(String name)

Copyright (c) 2005-2009 The Grails project